Subject: Re: Maintainers / Kernel Summit 2021 planning kick-off

From: Mauro Carvalho Chehab <[email-masked]>
Date: Fri, 18 Jun 2021 18:33:16 +0200

Em Fri, 18 Jun 2021 11:34:52 -0400
Steven Rostedt <[email-masked]> escreveu:

> On Fri, 18 Jun 2021 17:29:04 +0200
> Geert Uytterhoeven <[email-masked]> wrote:
> 
> > W.r.t. the other speaker in the room, isn't that similar to the normal mic,
> > and can't that be handled at the receiving side?
> > There will be a bit more delay involved, though.  
> 
> How many times have you been in a conference where the normal mic and
> speaker caused a nasty feedback loop?

I never used, but there are some devices that can work as automatic feedback 
suppressors. They basically detect a feedback loop and add notch filter(s) to
the frequency(ies) that are looping. Some high-end digital mixers have this
feature embedded (but the operator may need to enable it).

Yet, you may still hear the feedback loop while the algorithm is detecting 
and correcting the issue, as it takes 100 ms to 400ms to detect and filter
a single feedback frequency.

> I'm not sure how well phone mics and room speakers will work.

I guess that this depends on how the environment is setup. A good
digital mixer can be set with a gate threshold. If the volume is below
the threshold, the mic will be muted. 

They can also be setup to have just one microphone group, where only
one microphone will have the volume raised on a given time. So, if
someone speaks on a mic, all the others are muted or attenuated.

Yet, I guess this is not the usual "package" provided by hotels.
Those setups may require extra devices and technical people that
knows now to use such features.

Thanks,
Mauro